Package org.eclipse.birt.chart.model.component

# Interface DialRegion

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `MarkerRange`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DialRegionImpl`

public interface DialRegion extends MarkerRange
A representation of the model object 'Dial Region'.

The following features are supported:

- `Inner Radius`
- `Outer Radius`

See Also:
  - `ComponentPackage.getDialRegion()`

## Method Summary

Modifier and Type
Method
Description
`DialRegion`
`copyInstance()`
`double`
`getInnerRadius()`
Returns the value of the 'Inner Radius' attribute.
`double`
`getOuterRadius()`
Returns the value of the 'Outer Radius' attribute.
`boolean`
`isSetInnerRadius()`
Returns whether the value of the '`Inner Radius`' attribute is set.
`boolean`
`isSetOuterRadius()`
Returns whether the value of the '`Outer Radius`' attribute is set.
`void`
`setInnerRadius(double value)`
Sets the value of the '`Inner Radius`' attribute.
`void`
`setOuterRadius(double value)`
Sets the value of the '`Outer Radius`' attribute.
`void`
`unsetInnerRadius()`
Unsets the value of the '`Inner Radius`' attribute.
`void`
`unsetOuterRadius()`
Unsets the value of the '`Outer Radius`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.component.MarkerRange

`getCursor, getEndValue, getFill, getFormatSpecifier, getLabel, getLabelAnchor, getOutline, getStartValue, getTriggers, isSetLabelAnchor, setCursor, setEndValue, setFill, setFormatSpecifier, setLabel, setLabelAnchor, setOutline, setStartValue, unsetLabelAnchor`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getInnerRadius

double getInnerRadius()
Returns the value of the 'Inner Radius' attribute. Specifies the percentage value of the inner radius of the dial region.

Returns:
  the value of the 'Inner Radius' attribute.
See Also:
  - `isSetInnerRadius()`
  - `unsetInnerRadius()`
  - `setInnerRadius(double)`
  - `ComponentPackage.getDialRegion_InnerRadius()`

### setInnerRadius

void setInnerRadius(double value)
Sets the value of the '`Inner Radius`' attribute.

Parameters:
  `value` - the new value of the 'Inner Radius' attribute.
See Also:
  - `isSetInnerRadius()`
  - `unsetInnerRadius()`
  - `getInnerRadius()`

### unsetInnerRadius

void unsetInnerRadius()
Unsets the value of the '`Inner Radius`' attribute.

See Also:
  - `isSetInnerRadius()`
  - `getInnerRadius()`
  - `setInnerRadius(double)`

### isSetInnerRadius

boolean isSetInnerRadius()
Returns whether the value of the '`Inner Radius`' attribute is set.

Returns:
  whether the value of the 'Inner Radius' attribute is set.
See Also:
  - `unsetInnerRadius()`
  - `getInnerRadius()`
  - `setInnerRadius(double)`

### getOuterRadius

double getOuterRadius()
Returns the value of the 'Outer Radius' attribute. Specifies the percentage value of the outer radius of the dial region.

Returns:
  the value of the 'Outer Radius' attribute.
See Also:
  - `isSetOuterRadius()`
  - `unsetOuterRadius()`
  - `setOuterRadius(double)`
  - `ComponentPackage.getDialRegion_OuterRadius()`

### setOuterRadius

void setOuterRadius(double value)
Sets the value of the '`Outer Radius`' attribute.

Parameters:
  `value` - the new value of the 'Outer Radius' attribute.
See Also:
  - `isSetOuterRadius()`
  - `unsetOuterRadius()`
  - `getOuterRadius()`

### unsetOuterRadius

void unsetOuterRadius()
Unsets the value of the '`Outer Radius`' attribute.

See Also:
  - `isSetOuterRadius()`
  - `getOuterRadius()`
  - `setOuterRadius(double)`

### isSetOuterRadius

boolean isSetOuterRadius()
Returns whether the value of the '`Outer Radius`' attribute is set.

Returns:
  whether the value of the 'Outer Radius' attribute is set.
See Also:
  - `unsetOuterRadius()`
  - `getOuterRadius()`
  - `setOuterRadius(double)`

### copyInstance

DialRegion copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `MarkerRange`